/*
Copyright (C) 1999/2000 Hendrik Lipka.
All rights reserved.

This program is free software; you can redistribute it and/or modify it under the terms 
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY 
WARRANTY; without even the implied warranty of MERCHANTABILITY or 
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License 
for more details. 

You should have received a copy of the GNU General Public License along with this 
program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, 
Cambridge, MA 02139, USA or see http://www.gnu.org

If you encounter problems or have a suggestion, please mail to:
hendrik.lipka@gmx.de
*/

package de.hendriklipka.ldse.client;

import java.applet.Applet;
import java.applet.AppletContext;

/**
  enthaelt die Konfiguration eines Clients
  wird entweder von einem Applet aufgerufen oder von einer Applikation
*/
public class ClientConfig
{
  public final static String _serverIPString="ServerIP";
  public final static String _serverPortString="ServerPort";
  
  protected String _server="127.0.0.1";
  protected String _port="7622";
  protected String _browser="netscape.exe";
  protected boolean _isApplet=false;
  protected AppletContext _context=null;

  /**
    als Applet konfigurieren
    dann werden die uebergebenen Paramter ausgelesen (stehen in der HTML-Seite)
  */
  public ClientConfig(Applet applet)
  {
    _server=applet.getParameter(_serverIPString);
    _port=applet.getParameter(_serverPortString);
    _isApplet=true;
    _context=applet.getAppletContext();
  }

  /**
    als Applikation konfigurieren
    dann werden die Kommandozeilen parameter ausgelesen
  */
  public ClientConfig(String[] args)
  {
    _isApplet=false;
    for (int i=0;i<args.length;i++)
    {
      String s=args[i];
      int pos=s.indexOf('=');
      if (-1==pos)
        continue;
      String name=s.substring(0,pos);
      if (name.equals("server"))
      {
        _server=s.substring(pos+1);
      }
      else if (name.equals("port"))
      {
        _port=s.substring(pos+1);
      }
      else if (name.equals("browser"))
      {
        _browser=s.substring(pos+1);
      }
    }
  }
  
  public String getPort()
  {
    return _port;
  }
  
  public String getServer()
  {
    return _server;
  }
  
  public String getBrowser()
  {
    return _browser;
  }
  
  public boolean isApplet()
  {
    return _isApplet;
  }
  
  public AppletContext getContext()
  {
    return _context;
  }
}