/*
Copyright (C) 1999/2000 Hendrik Lipka.
All rights reserved.

This program is free software; you can redistribute it and/or modify it under the terms 
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY 
WARRANTY; without even the implied warranty of MERCHANTABILITY or 
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License 
for more details. 

You should have received a copy of the GNU General Public License along with this 
program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, 
Cambridge, MA 02139, USA or see http://www.gnu.org

If you encounter problems or have a suggestion, please mail to:
hendrik.lipka@gmx.de
*/

package de.hendriklipka.ldse.client;

import java.awt.Color;

import tstuder.java.lib.component.table.TableRow;

import de.hendriklipka.ldse.common.ResultDescriptor;

/**
  Based on tstuder.java.lib.component.table.SimpleTableRow
  eine Zeile basiert auf einem ResultDescriptor, also einem Ergebnis-Eintrag
*/
public class ResultTableRow implements TableRow 
{
  private String[] strings;
  private ResultDescriptor _data=null;
  
  // Formartierer, damit maximal 2 Nachkommastellen angezeigt werden
  private static java.text.NumberFormat _format=java.text.NumberFormat.getInstance();
  static
  {
    _format.setMaximumFractionDigits(2);
  }
  
  public ResultTableRow(ResultDescriptor rd) 
  {
    _data=rd;
    this.strings = new String[4];
    try
    {
      strings[0]=rd.getURL();
      strings[1]=Integer.toString(rd.getSize());
      strings[2]=_format.format(rd.getRelevance());
      strings[3]=rd.getTitle();
    }
    catch (Exception ex) {}
    // Spalten mit NULL-Strings bearbeiten!
    for (int i=0;i<strings.length;i++)
    {
      if (null==strings[i])
      {
        strings[i]="";
      }
    }
  }   

  public Color[] getBackgrounds() 
  {
    return null;
  }   

  public Color[] getForegrounds() 
  {
    return null;
  }   

  public String[] getStrings() 
  {
    return strings;
  }   
  
  public ResultDescriptor getData()
  {
    return _data;
  }
}