/*
Copyright (C) 1999/2000 Hendrik Lipka.
All rights reserved.

This program is free software; you can redistribute it and/or modify it under the terms 
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY 
WARRANTY; without even the implied warranty of MERCHANTABILITY or 
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License 
for more details. 

You should have received a copy of the GNU General Public License along with this 
program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, 
Cambridge, MA 02139, USA or see http://www.gnu.org

If you encounter problems or have a suggestion, please mail to:
hendrik.lipka@gmx.de
*/

package de.hendriklipka.ldse.common;

import de.hendriklipka.ldse.common.Cachetable;

import HTTPClient.HTTPConnection;

/**
  Pool von HTTP-verbindungen  zu einem Server
*/
public class HTTPConnectionPool
{
  protected static Cachetable _connections=new Cachetable(1000*60*5);
  
  public static HTTPConnection getConnection(String server)
  {
    HTTPConnection con=(HTTPConnection)_connections.get(server);
    if (null!=con)
    {
      return con;
    }
    synchronized (_connections)
    {
      con=(HTTPConnection)_connections.get(server);
      if (null!=con)
      {
        return con;
      }
      con=new HTTPConnection(server);
      _connections.put(server,con);
      con.setTimeout(1000*60); // 1 Minute
      HTTPClient.NVPair[] def_hdrs = { new HTTPClient.NVPair("Connection", "close") };
      con.setDefaultHeaders(def_hdrs);      
      return con;
    }
  }
  
  public static void removeConnection(String server)
  {
    _connections.remove(server);
  }
}